<?php

namespace Sabre\AirTicket;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'Message.Condition' => '\\Sabre\\AirTicket\\Structs\\Message_Condition',
            'STL_Payload' => '\\Sabre\\AirTicket\\Structs\\STL_Payload',
            'STL_Request_Payload' => '\\Sabre\\AirTicket\\Structs\\STL_Request_Payload',
            'STL_Response_Payload' => '\\Sabre\\AirTicket\\Structs\\STL_Response_Payload',
            'STL_Notif_Payload' => '\\Sabre\\AirTicket\\Structs\\STL_Notif_Payload',
            'Results' => '\\Sabre\\AirTicket\\Structs\\Results',
            'ApplicationResults' => '\\Sabre\\AirTicket\\Structs\\ApplicationResults',
            'ProblemInformation' => '\\Sabre\\AirTicket\\Structs\\ProblemInformation',
            'SystemSpecificResults' => '\\Sabre\\AirTicket\\Structs\\SystemSpecificResults',
            'HostCommand' => '\\Sabre\\AirTicket\\Structs\\HostCommand',
            'AirTicketRQ' => '\\Sabre\\AirTicket\\Structs\\AirTicketRQ',
            'DesignatePrinter' => '\\Sabre\\AirTicket\\Structs\\DesignatePrinter',
            'Printers' => '\\Sabre\\AirTicket\\Structs\\Printers',
            'BagTag' => '\\Sabre\\AirTicket\\Structs\\BagTag',
            'BoardingPass' => '\\Sabre\\AirTicket\\Structs\\BoardingPass',
            'Hardcopy' => '\\Sabre\\AirTicket\\Structs\\Hardcopy',
            'InvoiceItinerary' => '\\Sabre\\AirTicket\\Structs\\InvoiceItinerary',
            'ListLabel' => '\\Sabre\\AirTicket\\Structs\\ListLabel',
            'MiniItinerary' => '\\Sabre\\AirTicket\\Structs\\MiniItinerary',
            'Report' => '\\Sabre\\AirTicket\\Structs\\Report',
            'Ticket' => '\\Sabre\\AirTicket\\Structs\\Ticket',
            'Remote' => '\\Sabre\\AirTicket\\Structs\\Remote',
            'Profile' => '\\Sabre\\AirTicket\\Structs\\Profile',
            'Itinerary' => '\\Sabre\\AirTicket\\Structs\\Itinerary',
            'AccountingLines' => '\\Sabre\\AirTicket\\Structs\\AccountingLines',
            'Delete' => '\\Sabre\\AirTicket\\Structs\\Delete',
            'Ticketing' => '\\Sabre\\AirTicket\\Structs\\Ticketing',
            'FlightQualifiers' => '\\Sabre\\AirTicket\\Structs\\FlightQualifiers',
            'VendorPrefs' => '\\Sabre\\AirTicket\\Structs\\VendorPrefs',
            'Airline' => '\\Sabre\\AirTicket\\Structs\\Airline',
            'FOP_Qualifiers' => '\\Sabre\\AirTicket\\Structs\\FOP_Qualifiers',
            'BasicFOP' => '\\Sabre\\AirTicket\\Structs\\BasicFOP',
            'CC_Info' => '\\Sabre\\AirTicket\\Structs\\CC_Info',
            'PaymentCard' => '\\Sabre\\AirTicket\\Structs\\PaymentCard',
            'BSP_Ticketing' => '\\Sabre\\AirTicket\\Structs\\BSP_Ticketing',
            'MultipleFOP' => '\\Sabre\\AirTicket\\Structs\\MultipleFOP',
            'Fare' => '\\Sabre\\AirTicket\\Structs\\Fare',
            'FOP_One' => '\\Sabre\\AirTicket\\Structs\\FOP_One',
            'FOP_Two' => '\\Sabre\\AirTicket\\Structs\\FOP_Two',
            'Taxes' => '\\Sabre\\AirTicket\\Structs\\Taxes',
            'Tax' => '\\Sabre\\AirTicket\\Structs\\Tax',
            'MultipleMiscFOP' => '\\Sabre\\AirTicket\\Structs\\MultipleMiscFOP',
            'ExtendedPayment' => '\\Sabre\\AirTicket\\Structs\\ExtendedPayment',
            'PayLaterPlan' => '\\Sabre\\AirTicket\\Structs\\PayLaterPlan',
            'FOP' => '\\Sabre\\AirTicket\\Structs\\FOP',
            'Installment' => '\\Sabre\\AirTicket\\Structs\\Installment',
            'MultipleCC_FOP' => '\\Sabre\\AirTicket\\Structs\\MultipleCC_FOP',
            'CC_One' => '\\Sabre\\AirTicket\\Structs\\CC_One',
            'CC_Two' => '\\Sabre\\AirTicket\\Structs\\CC_Two',
            'SabreSonicTicketing' => '\\Sabre\\AirTicket\\Structs\\SabreSonicTicketing',
            'EnhancedMultipleFOP' => '\\Sabre\\AirTicket\\Structs\\EnhancedMultipleFOP',
            'MiscQualifiers' => '\\Sabre\\AirTicket\\Structs\\MiscQualifiers',
            'AirExtras' => '\\Sabre\\AirTicket\\Structs\\AirExtras',
            'BaggageAllowance' => '\\Sabre\\AirTicket\\Structs\\BaggageAllowance',
            'Certificate' => '\\Sabre\\AirTicket\\Structs\\Certificate',
            'Commission' => '\\Sabre\\AirTicket\\Structs\\Commission',
            'Endorsement' => '\\Sabre\\AirTicket\\Structs\\Endorsement',
            'FutureTicket' => '\\Sabre\\AirTicket\\Structs\\FutureTicket',
            'Line' => '\\Sabre\\AirTicket\\Structs\\Line',
            'Invoice' => '\\Sabre\\AirTicket\\Structs\\Invoice',
            'NeedPrint' => '\\Sabre\\AirTicket\\Structs\\NeedPrint',
            'TourCode' => '\\Sabre\\AirTicket\\Structs\\TourCode',
            'SuppressFareReplaceWithBT' => '\\Sabre\\AirTicket\\Structs\\SuppressFareReplaceWithBT',
            'SuppressFareReplaceWithIT' => '\\Sabre\\AirTicket\\Structs\\SuppressFareReplaceWithIT',
            'SuppressIT' => '\\Sabre\\AirTicket\\Structs\\SuppressIT',
            'SuppressITSupressFare' => '\\Sabre\\AirTicket\\Structs\\SuppressITSupressFare',
            'PricingQualifiers' => '\\Sabre\\AirTicket\\Structs\\PricingQualifiers',
            'Brand' => '\\Sabre\\AirTicket\\Structs\\Brand',
            'FareFocusExclude' => '\\Sabre\\AirTicket\\Structs\\FareFocusExclude',
            'ItineraryOptions' => '\\Sabre\\AirTicket\\Structs\\ItineraryOptions',
            'SegmentSelect' => '\\Sabre\\AirTicket\\Structs\\SegmentSelect',
            'SideTrip' => '\\Sabre\\AirTicket\\Structs\\SideTrip',
            'NameSelect' => '\\Sabre\\AirTicket\\Structs\\NameSelect',
            'PhaseIV' => '\\Sabre\\AirTicket\\Structs\\PhaseIV',
            'PriceQuote' => '\\Sabre\\AirTicket\\Structs\\PriceQuote',
            'Record' => '\\Sabre\\AirTicket\\Structs\\Record',
            'SpecificFare' => '\\Sabre\\AirTicket\\Structs\\SpecificFare',
            'SpecificPenalty' => '\\Sabre\\AirTicket\\Structs\\SpecificPenalty',
            'Changeable' => '\\Sabre\\AirTicket\\Structs\\Changeable',
            'EitherOr' => '\\Sabre\\AirTicket\\Structs\\EitherOr',
            'Refundable' => '\\Sabre\\AirTicket\\Structs\\Refundable',
            'ValidityDates' => '\\Sabre\\AirTicket\\Structs\\ValidityDates',
            'Segment' => '\\Sabre\\AirTicket\\Structs\\Segment',
            'PostProcessing' => '\\Sabre\\AirTicket\\Structs\\PostProcessing',
            'EndTransaction' => '\\Sabre\\AirTicket\\Structs\\EndTransaction',
            'Source' => '\\Sabre\\AirTicket\\Structs\\Source',
            'Email' => '\\Sabre\\AirTicket\\Structs\\Email',
            'eTicket' => '\\Sabre\\AirTicket\\Structs\\ETicket',
            'PDF' => '\\Sabre\\AirTicket\\Structs\\PDF',
            'PersonName' => '\\Sabre\\AirTicket\\Structs\\PersonName',
            'AirTicketRS' => '\\Sabre\\AirTicket\\Structs\\AirTicketRS',
            'TicketInfo' => '\\Sabre\\AirTicket\\Structs\\TicketInfo',
            'SignatureType' => '\\Sabre\\AirTicket\\Structs\\SignatureType',
            'SignatureValueType' => '\\Sabre\\AirTicket\\Structs\\SignatureValueType',
            'SignedInfoType' => '\\Sabre\\AirTicket\\Structs\\SignedInfoType',
            'CanonicalizationMethodType' => '\\Sabre\\AirTicket\\Structs\\CanonicalizationMethodType',
            'SignatureMethodType' => '\\Sabre\\AirTicket\\Structs\\SignatureMethodType',
            'ReferenceType' => '\\Sabre\\AirTicket\\Structs\\ReferenceType',
            'TransformsType' => '\\Sabre\\AirTicket\\Structs\\TransformsType',
            'TransformType' => '\\Sabre\\AirTicket\\Structs\\TransformType',
            'DigestMethodType' => '\\Sabre\\AirTicket\\Structs\\DigestMethodType',
            'KeyInfoType' => '\\Sabre\\AirTicket\\Structs\\KeyInfoType',
            'KeyValueType' => '\\Sabre\\AirTicket\\Structs\\KeyValueType',
            'RetrievalMethodType' => '\\Sabre\\AirTicket\\Structs\\RetrievalMethodType',
            'X509DataType' => '\\Sabre\\AirTicket\\Structs\\X509DataType',
            'X509IssuerSerialType' => '\\Sabre\\AirTicket\\Structs\\X509IssuerSerialType',
            'PGPDataType' => '\\Sabre\\AirTicket\\Structs\\PGPDataType',
            'SPKIDataType' => '\\Sabre\\AirTicket\\Structs\\SPKIDataType',
            'ObjectType' => '\\Sabre\\AirTicket\\Structs\\ObjectType',
            'ManifestType' => '\\Sabre\\AirTicket\\Structs\\ManifestType',
            'SignaturePropertiesType' => '\\Sabre\\AirTicket\\Structs\\SignaturePropertiesType',
            'SignaturePropertyType' => '\\Sabre\\AirTicket\\Structs\\SignaturePropertyType',
            'DSAKeyValueType' => '\\Sabre\\AirTicket\\Structs\\DSAKeyValueType',
            'RSAKeyValueType' => '\\Sabre\\AirTicket\\Structs\\RSAKeyValueType',
            'Envelope' => '\\Sabre\\AirTicket\\Structs\\Envelope',
            'Header' => '\\Sabre\\AirTicket\\Structs\\Header',
            'Body' => '\\Sabre\\AirTicket\\Structs\\Body',
            'Fault' => '\\Sabre\\AirTicket\\Structs\\Fault',
            'detail' => '\\Sabre\\AirTicket\\Structs\\Detail',
            'Manifest' => '\\Sabre\\AirTicket\\Structs\\Manifest',
            'Reference' => '\\Sabre\\AirTicket\\Structs\\Reference',
            'Schema' => '\\Sabre\\AirTicket\\Structs\\Schema',
            'MessageHeader' => '\\Sabre\\AirTicket\\Structs\\MessageHeader',
            'Service' => '\\Sabre\\AirTicket\\Structs\\Service',
            'MessageData' => '\\Sabre\\AirTicket\\Structs\\MessageData',
            'SyncReply' => '\\Sabre\\AirTicket\\Structs\\SyncReply',
            'MessageOrder' => '\\Sabre\\AirTicket\\Structs\\MessageOrder',
            'AckRequested' => '\\Sabre\\AirTicket\\Structs\\AckRequested',
            'Acknowledgment' => '\\Sabre\\AirTicket\\Structs\\Acknowledgment',
            'ErrorList' => '\\Sabre\\AirTicket\\Structs\\ErrorList',
            'Error' => '\\Sabre\\AirTicket\\Structs\\Error',
            'StatusResponse' => '\\Sabre\\AirTicket\\Structs\\StatusResponse',
            'StatusRequest' => '\\Sabre\\AirTicket\\Structs\\StatusRequest',
            'sequenceNumber.type' => '\\Sabre\\AirTicket\\Structs\\SequenceNumber_type',
            'PartyId' => '\\Sabre\\AirTicket\\Structs\\PartyId',
            'To' => '\\Sabre\\AirTicket\\Structs\\To',
            'From' => '\\Sabre\\AirTicket\\Structs\\From',
            'Description' => '\\Sabre\\AirTicket\\Structs\\Description',
            'Security' => '\\Sabre\\AirTicket\\Structs\\Security',
            'UsernameToken' => '\\Sabre\\AirTicket\\Structs\\UsernameToken',
        );
    }
}
