<?php

namespace Sabre\AirTicket\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BSP_Ticketing Structs
 * @subpackage Structs
 */
class BSP_Ticketing extends AbstractStructBase
{
    /**
     * The MultipleFOP
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\AirTicket\Structs\MultipleFOP
     */
    public $MultipleFOP;
    /**
     * The MultipleMiscFOP
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\AirTicket\Structs\MultipleMiscFOP
     */
    public $MultipleMiscFOP;
    /**
     * The PayLaterPlan
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\AirTicket\Structs\PayLaterPlan
     */
    public $PayLaterPlan;
    /**
     * Constructor method for BSP_Ticketing
     * @uses BSP_Ticketing::setMultipleFOP()
     * @uses BSP_Ticketing::setMultipleMiscFOP()
     * @uses BSP_Ticketing::setPayLaterPlan()
     * @param \Sabre\AirTicket\Structs\MultipleFOP $multipleFOP
     * @param \Sabre\AirTicket\Structs\MultipleMiscFOP $multipleMiscFOP
     * @param \Sabre\AirTicket\Structs\PayLaterPlan $payLaterPlan
     */
    public function __construct(\Sabre\AirTicket\Structs\MultipleFOP $multipleFOP = null, \Sabre\AirTicket\Structs\MultipleMiscFOP $multipleMiscFOP = null, \Sabre\AirTicket\Structs\PayLaterPlan $payLaterPlan = null)
    {
        $this
            ->setMultipleFOP($multipleFOP)
            ->setMultipleMiscFOP($multipleMiscFOP)
            ->setPayLaterPlan($payLaterPlan);
    }
    /**
     * Get MultipleFOP value
     * @return \Sabre\AirTicket\Structs\MultipleFOP|null
     */
    public function getMultipleFOP()
    {
        return $this->MultipleFOP;
    }
    /**
     * Set MultipleFOP value
     * @param \Sabre\AirTicket\Structs\MultipleFOP $multipleFOP
     * @return \Sabre\AirTicket\Structs\BSP_Ticketing
     */
    public function setMultipleFOP(\Sabre\AirTicket\Structs\MultipleFOP $multipleFOP = null)
    {
        $this->MultipleFOP = $multipleFOP;
        return $this;
    }
    /**
     * Get MultipleMiscFOP value
     * @return \Sabre\AirTicket\Structs\MultipleMiscFOP|null
     */
    public function getMultipleMiscFOP()
    {
        return $this->MultipleMiscFOP;
    }
    /**
     * Set MultipleMiscFOP value
     * @param \Sabre\AirTicket\Structs\MultipleMiscFOP $multipleMiscFOP
     * @return \Sabre\AirTicket\Structs\BSP_Ticketing
     */
    public function setMultipleMiscFOP(\Sabre\AirTicket\Structs\MultipleMiscFOP $multipleMiscFOP = null)
    {
        $this->MultipleMiscFOP = $multipleMiscFOP;
        return $this;
    }
    /**
     * Get PayLaterPlan value
     * @return \Sabre\AirTicket\Structs\PayLaterPlan|null
     */
    public function getPayLaterPlan()
    {
        return $this->PayLaterPlan;
    }
    /**
     * Set PayLaterPlan value
     * @param \Sabre\AirTicket\Structs\PayLaterPlan $payLaterPlan
     * @return \Sabre\AirTicket\Structs\BSP_Ticketing
     */
    public function setPayLaterPlan(\Sabre\AirTicket\Structs\PayLaterPlan $payLaterPlan = null)
    {
        $this->PayLaterPlan = $payLaterPlan;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\AirTicket\Structs\BSP_Ticketing
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
