<?php

namespace Sabre\AirTicket\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BaggageAllowance Structs
 * Meta informations extracted from the WSDL
 * - documentation: Cannot combine with PhaseIV.
 * @subpackage Structs
 */
class BaggageAllowance extends AbstractStructBase
{
    /**
     * The Number
     * Meta informations extracted from the WSDL
     * - documentation: "Number" is used to specify the quantity of checked bags if applicable.
     * - use: optional
     * @var string
     */
    public $Number;
    /**
     * The Weight
     * Meta informations extracted from the WSDL
     * - documentation: "Weight" is used to specify the weight in kilos of checked bags if applicable.
     * - use: optional
     * @var string
     */
    public $Weight;
    /**
     * Constructor method for BaggageAllowance
     * @uses BaggageAllowance::setNumber()
     * @uses BaggageAllowance::setWeight()
     * @param string $number
     * @param string $weight
     */
    public function __construct($number = null, $weight = null)
    {
        $this
            ->setNumber($number)
            ->setWeight($weight);
    }
    /**
     * Get Number value
     * @return string|null
     */
    public function getNumber()
    {
        return $this->Number;
    }
    /**
     * Set Number value
     * @param string $number
     * @return \Sabre\AirTicket\Structs\BaggageAllowance
     */
    public function setNumber($number = null)
    {
        $this->Number = $number;
        return $this;
    }
    /**
     * Get Weight value
     * @return string|null
     */
    public function getWeight()
    {
        return $this->Weight;
    }
    /**
     * Set Weight value
     * @param string $weight
     * @return \Sabre\AirTicket\Structs\BaggageAllowance
     */
    public function setWeight($weight = null)
    {
        $this->Weight = $weight;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\AirTicket\Structs\BaggageAllowance
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
