<?php

namespace Sabre\AirTicket\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Delete Structs
 * @subpackage Structs
 */
class Delete extends AbstractStructBase
{
    /**
     * The Number
     * Meta informations extracted from the WSDL
     * - documentation: "Number" is used to specify particular accounting lines.
     * - use: required
     * @var int
     */
    public $Number;
    /**
     * The EndNumber
     * Meta informations extracted from the WSDL
     * - documentation: "EndNumber" when used with @Number to specify a range of accounting lines to delete.
     * - use: optional
     * @var int
     */
    public $EndNumber;
    /**
     * Constructor method for Delete
     * @uses Delete::setNumber()
     * @uses Delete::setEndNumber()
     * @param int $number
     * @param int $endNumber
     */
    public function __construct($number = null, $endNumber = null)
    {
        $this
            ->setNumber($number)
            ->setEndNumber($endNumber);
    }
    /**
     * Get Number value
     * @return int
     */
    public function getNumber()
    {
        return $this->Number;
    }
    /**
     * Set Number value
     * @param int $number
     * @return \Sabre\AirTicket\Structs\Delete
     */
    public function setNumber($number = null)
    {
        $this->Number = $number;
        return $this;
    }
    /**
     * Get EndNumber value
     * @return int|null
     */
    public function getEndNumber()
    {
        return $this->EndNumber;
    }
    /**
     * Set EndNumber value
     * @param int $endNumber
     * @return \Sabre\AirTicket\Structs\Delete
     */
    public function setEndNumber($endNumber = null)
    {
        $this->EndNumber = $endNumber;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\AirTicket\Structs\Delete
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
