<?php

namespace Sabre\AirTicket\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FOP_Two Structs
 * @subpackage Structs
 */
class FOP_Two extends AbstractStructBase
{
    /**
     * The CC_Info
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\AirTicket\Structs\CC_Info
     */
    public $CC_Info;
    /**
     * The Type
     * Meta informations extracted from the WSDL
     * - documentation: "Type" is used to specify the payment type. Acceptable values are "CA,"CK," or "CQ." If utilizing a credit card please omit @Type, and populate the .../CC_Info child node. | "Type" is used to specify the payment type. Acceptable
     * values are "CA,"CK," or "CQ." If utilizing a credit card please omit @Type, and populate the .../CCInfo child node.
     * - use: optional
     * @var string
     */
    public $Type;
    /**
     * The ExtendedPayment
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\AirTicket\Structs\ExtendedPayment
     */
    public $ExtendedPayment;
    /**
     * Constructor method for FOP_Two
     * @uses FOP_Two::setCC_Info()
     * @uses FOP_Two::setType()
     * @uses FOP_Two::setExtendedPayment()
     * @param \Sabre\AirTicket\Structs\CC_Info $cC_Info
     * @param string $type
     * @param \Sabre\AirTicket\Structs\ExtendedPayment $extendedPayment
     */
    public function __construct(\Sabre\AirTicket\Structs\CC_Info $cC_Info = null, $type = null, \Sabre\AirTicket\Structs\ExtendedPayment $extendedPayment = null)
    {
        $this
            ->setCC_Info($cC_Info)
            ->setType($type)
            ->setExtendedPayment($extendedPayment);
    }
    /**
     * Get CC_Info value
     * @return \Sabre\AirTicket\Structs\CC_Info|null
     */
    public function getCC_Info()
    {
        return $this->CC_Info;
    }
    /**
     * Set CC_Info value
     * @param \Sabre\AirTicket\Structs\CC_Info $cC_Info
     * @return \Sabre\AirTicket\Structs\FOP_Two
     */
    public function setCC_Info(\Sabre\AirTicket\Structs\CC_Info $cC_Info = null)
    {
        $this->CC_Info = $cC_Info;
        return $this;
    }
    /**
     * Get Type value
     * @return string|null
     */
    public function getType()
    {
        return $this->Type;
    }
    /**
     * Set Type value
     * @param string $type
     * @return \Sabre\AirTicket\Structs\FOP_Two
     */
    public function setType($type = null)
    {
        $this->Type = $type;
        return $this;
    }
    /**
     * Get ExtendedPayment value
     * @return \Sabre\AirTicket\Structs\ExtendedPayment|null
     */
    public function getExtendedPayment()
    {
        return $this->ExtendedPayment;
    }
    /**
     * Set ExtendedPayment value
     * @param \Sabre\AirTicket\Structs\ExtendedPayment $extendedPayment
     * @return \Sabre\AirTicket\Structs\FOP_Two
     */
    public function setExtendedPayment(\Sabre\AirTicket\Structs\ExtendedPayment $extendedPayment = null)
    {
        $this->ExtendedPayment = $extendedPayment;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\AirTicket\Structs\FOP_Two
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
