<?php

namespace Sabre\AirTicket\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FutureTicket Structs
 * @subpackage Structs
 */
class FutureTicket extends AbstractStructBase
{
    /**
     * The Line
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * @var \Sabre\AirTicket\Structs\Line[]
     */
    public $Line;
    /**
     * Constructor method for FutureTicket
     * @uses FutureTicket::setLine()
     * @param \Sabre\AirTicket\Structs\Line[] $line
     */
    public function __construct(array $line = array())
    {
        $this
            ->setLine($line);
    }
    /**
     * Get Line value
     * @return \Sabre\AirTicket\Structs\Line[]|null
     */
    public function getLine()
    {
        return $this->Line;
    }
    /**
     * Set Line value
     * @throws \InvalidArgumentException
     * @param \Sabre\AirTicket\Structs\Line[] $line
     * @return \Sabre\AirTicket\Structs\FutureTicket
     */
    public function setLine(array $line = array())
    {
        $this->Line = $line;
        return $this;
    }
    /**
     * Add item to Line value
     * @throws \InvalidArgumentException
     * @param \Sabre\AirTicket\Structs\Line $item
     * @return \Sabre\AirTicket\Structs\FutureTicket
     */
    public function addToLine(\Sabre\AirTicket\Structs\Line $item)
    {
        $this->Line[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\AirTicket\Structs\FutureTicket
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
