<?php

namespace Sabre\AirTicket\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PhaseIV Structs
 * Meta informations extracted from the WSDL
 * - documentation: Cannot combine with .../PriceQuote.
 * @subpackage Structs
 */
class PhaseIV extends AbstractStructBase
{
    /**
     * The Number
     * Meta informations extracted from the WSDL
     * - use: required
     * @var int
     */
    public $Number;
    /**
     * The NameSelect
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Sabre\AirTicket\Structs\NameSelect[]
     */
    public $NameSelect;
    /**
     * Constructor method for PhaseIV
     * @uses PhaseIV::setNumber()
     * @uses PhaseIV::setNameSelect()
     * @param int $number
     * @param \Sabre\AirTicket\Structs\NameSelect[] $nameSelect
     */
    public function __construct($number = null, array $nameSelect = array())
    {
        $this
            ->setNumber($number)
            ->setNameSelect($nameSelect);
    }
    /**
     * Get Number value
     * @return int
     */
    public function getNumber()
    {
        return $this->Number;
    }
    /**
     * Set Number value
     * @param int $number
     * @return \Sabre\AirTicket\Structs\PhaseIV
     */
    public function setNumber($number = null)
    {
        $this->Number = $number;
        return $this;
    }
    /**
     * Get NameSelect value
     * @return \Sabre\AirTicket\Structs\NameSelect[]|null
     */
    public function getNameSelect()
    {
        return $this->NameSelect;
    }
    /**
     * Set NameSelect value
     * @throws \InvalidArgumentException
     * @param \Sabre\AirTicket\Structs\NameSelect[] $nameSelect
     * @return \Sabre\AirTicket\Structs\PhaseIV
     */
    public function setNameSelect(array $nameSelect = array())
    {
        $this->NameSelect = $nameSelect;
        return $this;
    }
    /**
     * Add item to NameSelect value
     * @throws \InvalidArgumentException
     * @param \Sabre\AirTicket\Structs\NameSelect $item
     * @return \Sabre\AirTicket\Structs\PhaseIV
     */
    public function addToNameSelect(\Sabre\AirTicket\Structs\NameSelect $item)
    {
        $this->NameSelect[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\AirTicket\Structs\PhaseIV
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
