<?php

namespace Sabre\AirTicket\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PriceQuote Structs
 * Meta informations extracted from the WSDL
 * - documentation: Cannot combine with .../NameSelect. Cannot combine with .../PhaseIV.
 * @subpackage Structs
 */
class PriceQuote extends AbstractStructBase
{
    /**
     * The NameSelect
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Sabre\AirTicket\Structs\NameSelect[]
     */
    public $NameSelect;
    /**
     * The Record
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Sabre\AirTicket\Structs\Record[]
     */
    public $Record;
    /**
     * Constructor method for PriceQuote
     * @uses PriceQuote::setNameSelect()
     * @uses PriceQuote::setRecord()
     * @param \Sabre\AirTicket\Structs\NameSelect[] $nameSelect
     * @param \Sabre\AirTicket\Structs\Record[] $record
     */
    public function __construct(array $nameSelect = array(), array $record = array())
    {
        $this
            ->setNameSelect($nameSelect)
            ->setRecord($record);
    }
    /**
     * Get NameSelect value
     * @return \Sabre\AirTicket\Structs\NameSelect[]|null
     */
    public function getNameSelect()
    {
        return $this->NameSelect;
    }
    /**
     * Set NameSelect value
     * @throws \InvalidArgumentException
     * @param \Sabre\AirTicket\Structs\NameSelect[] $nameSelect
     * @return \Sabre\AirTicket\Structs\PriceQuote
     */
    public function setNameSelect(array $nameSelect = array())
    {
        $this->NameSelect = $nameSelect;
        return $this;
    }
    /**
     * Add item to NameSelect value
     * @throws \InvalidArgumentException
     * @param \Sabre\AirTicket\Structs\NameSelect $item
     * @return \Sabre\AirTicket\Structs\PriceQuote
     */
    public function addToNameSelect(\Sabre\AirTicket\Structs\NameSelect $item)
    {
        $this->NameSelect[] = $item;
        return $this;
    }
    /**
     * Get Record value
     * @return \Sabre\AirTicket\Structs\Record[]|null
     */
    public function getRecord()
    {
        return $this->Record;
    }
    /**
     * Set Record value
     * @throws \InvalidArgumentException
     * @param \Sabre\AirTicket\Structs\Record[] $record
     * @return \Sabre\AirTicket\Structs\PriceQuote
     */
    public function setRecord(array $record = array())
    {
        $this->Record = $record;
        return $this;
    }
    /**
     * Add item to Record value
     * @throws \InvalidArgumentException
     * @param \Sabre\AirTicket\Structs\Record $item
     * @return \Sabre\AirTicket\Structs\PriceQuote
     */
    public function addToRecord(\Sabre\AirTicket\Structs\Record $item)
    {
        $this->Record[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\AirTicket\Structs\PriceQuote
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
