<?php

namespace Sabre\AirTicket\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Ticketing Structs
 * @subpackage Structs
 */
class Ticketing extends AbstractStructBase
{
    /**
     * The FlightQualifiers
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\AirTicket\Structs\FlightQualifiers
     */
    public $FlightQualifiers;
    /**
     * The FOP_Qualifiers
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\AirTicket\Structs\FOP_Qualifiers
     */
    public $FOP_Qualifiers;
    /**
     * The MiscQualifiers
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\AirTicket\Structs\MiscQualifiers
     */
    public $MiscQualifiers;
    /**
     * The PricingQualifiers
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\AirTicket\Structs\PricingQualifiers
     */
    public $PricingQualifiers;
    /**
     * Constructor method for Ticketing
     * @uses Ticketing::setFlightQualifiers()
     * @uses Ticketing::setFOP_Qualifiers()
     * @uses Ticketing::setMiscQualifiers()
     * @uses Ticketing::setPricingQualifiers()
     * @param \Sabre\AirTicket\Structs\FlightQualifiers $flightQualifiers
     * @param \Sabre\AirTicket\Structs\FOP_Qualifiers $fOP_Qualifiers
     * @param \Sabre\AirTicket\Structs\MiscQualifiers $miscQualifiers
     * @param \Sabre\AirTicket\Structs\PricingQualifiers $pricingQualifiers
     */
    public function __construct(\Sabre\AirTicket\Structs\FlightQualifiers $flightQualifiers = null, \Sabre\AirTicket\Structs\FOP_Qualifiers $fOP_Qualifiers = null, \Sabre\AirTicket\Structs\MiscQualifiers $miscQualifiers = null, \Sabre\AirTicket\Structs\PricingQualifiers $pricingQualifiers = null)
    {
        $this
            ->setFlightQualifiers($flightQualifiers)
            ->setFOP_Qualifiers($fOP_Qualifiers)
            ->setMiscQualifiers($miscQualifiers)
            ->setPricingQualifiers($pricingQualifiers);
    }
    /**
     * Get FlightQualifiers value
     * @return \Sabre\AirTicket\Structs\FlightQualifiers|null
     */
    public function getFlightQualifiers()
    {
        return $this->FlightQualifiers;
    }
    /**
     * Set FlightQualifiers value
     * @param \Sabre\AirTicket\Structs\FlightQualifiers $flightQualifiers
     * @return \Sabre\AirTicket\Structs\Ticketing
     */
    public function setFlightQualifiers(\Sabre\AirTicket\Structs\FlightQualifiers $flightQualifiers = null)
    {
        $this->FlightQualifiers = $flightQualifiers;
        return $this;
    }
    /**
     * Get FOP_Qualifiers value
     * @return \Sabre\AirTicket\Structs\FOP_Qualifiers|null
     */
    public function getFOP_Qualifiers()
    {
        return $this->FOP_Qualifiers;
    }
    /**
     * Set FOP_Qualifiers value
     * @param \Sabre\AirTicket\Structs\FOP_Qualifiers $fOP_Qualifiers
     * @return \Sabre\AirTicket\Structs\Ticketing
     */
    public function setFOP_Qualifiers(\Sabre\AirTicket\Structs\FOP_Qualifiers $fOP_Qualifiers = null)
    {
        $this->FOP_Qualifiers = $fOP_Qualifiers;
        return $this;
    }
    /**
     * Get MiscQualifiers value
     * @return \Sabre\AirTicket\Structs\MiscQualifiers|null
     */
    public function getMiscQualifiers()
    {
        return $this->MiscQualifiers;
    }
    /**
     * Set MiscQualifiers value
     * @param \Sabre\AirTicket\Structs\MiscQualifiers $miscQualifiers
     * @return \Sabre\AirTicket\Structs\Ticketing
     */
    public function setMiscQualifiers(\Sabre\AirTicket\Structs\MiscQualifiers $miscQualifiers = null)
    {
        $this->MiscQualifiers = $miscQualifiers;
        return $this;
    }
    /**
     * Get PricingQualifiers value
     * @return \Sabre\AirTicket\Structs\PricingQualifiers|null
     */
    public function getPricingQualifiers()
    {
        return $this->PricingQualifiers;
    }
    /**
     * Set PricingQualifiers value
     * @param \Sabre\AirTicket\Structs\PricingQualifiers $pricingQualifiers
     * @return \Sabre\AirTicket\Structs\Ticketing
     */
    public function setPricingQualifiers(\Sabre\AirTicket\Structs\PricingQualifiers $pricingQualifiers = null)
    {
        $this->PricingQualifiers = $pricingQualifiers;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\AirTicket\Structs\Ticketing
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
